Bug 479936 - bash completion does some strange parsing of itself
bash completion does some strange parsing of itself
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bash-completion (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 02:34 EST by dann
Modified: 2011-09-19 22:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: bash-completion-1.3-5.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-26 15:10:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
remove self parsing from bash-completion (8.39 KB, text/plain)
2009-01-15 12:04 EST, dann
no flags Details

  None (edit)
Description dann 2009-01-14 02:34:20 EST
Description of problem:
/etc/bash_completion does some strange parsing of itself, probably because it was written before the -o plusdirs option was added to bash.
Removing that type parsing should speed up bash startup, and it is much cleaner to start with: just add -o plusdirs in the right places
Patch attached.

Maybe more of the completions could use -o plusdirs.


Version-Release number of selected component (if applicable):
bash-completion-20060301-13
Comment 1 Ville Skyttä 2009-01-14 11:23:07 EST
Hmm, the patch you mentioned appears to be missing.

Without seeing the patch, just one comment: plusdirs was added in bash 3.0 while bash-completion is currently intended to work with all bash versions newer than 2.04.  Depending on the size and benefits of the patch it's not out of the question to ship a patched version in Fedora, but pushing it upstream would be preferable.  I don't know if upstream would be interested in bumping the minimum required version at this point.

There's a new quite active upstream for bash-completion, see http://bash-completion.alioth.debian.org/ .  I'm a (new) member of the upstream project so unless you wish to discuss it on upstream mailing lists yourself, I can do that (but in that case, let's see the patch first ;))
Comment 2 dann 2009-01-15 12:04:11 EST
Created attachment 329110 [details]
remove self parsing from bash-completion

Here's the missing patch.
Comment 3 Ville Skyttä 2009-03-14 17:01:14 EDT
There's a regression in this patch which makes it a no go in its current form: ~[TAB] no longer expands to ~username dirs because _expand is no longer executed.
Comment 4 Bug Zapper 2009-11-18 05:44:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-03-15 08:24:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 dann 2011-06-02 11:59:56 EDT
Still happens in '15'.
Comment 7 Bug Zapper 2011-06-02 14:17:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Ville Skyttä 2011-06-04 04:00:40 EDT
This is now done upstream:
http://anonscm.debian.org/gitweb/?p=bash-completion/bash-completion.git;a=commitdiff;h=d74e169935136e66b3aee78f3c89244186c2d9a8

As I suspected, the speedups were not that significant but measurable; about 5% in load time and ~6ms per _filedir_xspec invocation in my (cached) tests.
Comment 9 Fedora Update System 2011-08-15 18:23:03 EDT
bash-completion-1.3-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bash-completion-1.3-5.fc16
Comment 10 Fedora Update System 2011-08-15 18:24:24 EDT
bash-completion-1.3-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bash-completion-1.3-5.fc15
Comment 11 Fedora Update System 2011-08-15 18:29:51 EDT
bash-completion-1.3-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bash-completion-1.3-5.el6
Comment 12 Fedora Update System 2011-08-16 20:59:54 EDT
Package bash-completion-1.3-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bash-completion-1.3-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/bash-completion-1.3-5.fc15
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2011-08-26 15:10:21 EDT
bash-completion-1.3-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2011-08-28 01:23:06 EDT
bash-completion-1.3-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-09-19 22:32:19 EDT
bash-completion-1.3-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.